package com.kmalbz.database.dao

import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.`java-time`.date
import java.time.LocalDate

object InputObjects : IntIdTable() {
    val tag: Column<String> = varchar("tag",32)
    val date: Column<LocalDate> = date("date").default(LocalDate.now())
    val device_id: Column<String> = varchar("device_id", 32)
    override val primaryKey = PrimaryKey(id, name = "PK_ResultObject_Id")
}